Bug 180309 - New port: devel/p5-AnyEvent-Memcached
Summary: New port: devel/p5-AnyEvent-Memcached
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 14:00 UTC by Anes Mukhametov
Modified: 2013-11-15 17:10 UTC (History)
0 users

See Also:


Attachments
p5-AnyEvent-Memcached.shar (3.93 KB, text/plain)
2013-07-05 14:00 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 14:00:01 UTC
	New port: devel/p5-AnyEvent-Memcached	
	Asyncronous memcached/memcachedb client for AnyEvent framework
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 14:00:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:57:28 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:59 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Edwin Groothuis freebsd_committer 2013-11-14 20:58:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 5 Mathieu Arnold freebsd_committer 2013-11-15 15:03:59 UTC
Responsible Changed
From-To: perl->mat

Take
Comment 6 Mathieu Arnold freebsd_committer 2013-11-15 17:00:15 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2013-11-15 17:00:56 UTC
Author: mat
Date: Fri Nov 15 17:00:46 2013
New Revision: 333891
URL: http://svnweb.freebsd.org/changeset/ports/333891

Log:
  Add p5-AnyEvent-Memcached 0.05, anyEvent memcached client.
  
  PR:		ports/180309
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/databases/p5-AnyEvent-Memcached/
  head/databases/p5-AnyEvent-Memcached/Makefile   (contents, props changed)
  head/databases/p5-AnyEvent-Memcached/distinfo   (contents, props changed)
  head/databases/p5-AnyEvent-Memcached/files/
  head/databases/p5-AnyEvent-Memcached/files/patch-lib__AnyEvent__Memcached.pm   (contents, props changed)
  head/databases/p5-AnyEvent-Memcached/pkg-descr   (contents, props changed)
  head/databases/p5-AnyEvent-Memcached/pkg-plist   (contents, props changed)
Modified:
  head/databases/Makefile

Modified: head/databases/Makefile
==============================================================================
--- head/databases/Makefile	Fri Nov 15 16:58:02 2013	(r333890)
+++ head/databases/Makefile	Fri Nov 15 17:00:46 2013	(r333891)
@@ -264,6 +264,7 @@
     SUBDIR += p5-AnyEvent-BDB
     SUBDIR += p5-AnyEvent-CouchDB
     SUBDIR += p5-AnyEvent-DBD-Pg
+    SUBDIR += p5-AnyEvent-Memcached
     SUBDIR += p5-AnyEvent-Redis
     SUBDIR += p5-AsciiDB-TagFile
     SUBDIR += p5-BDB

Added: head/databases/p5-AnyEvent-Memcached/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-AnyEvent-Memcached/Makefile	Fri Nov 15 17:00:46 2013	(r333891)
@@ -0,0 +1,34 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	AnyEvent-Memcached
+PORTVERSION=	0.05
+CATEGORIES=	databases perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	AnyEvent memcached client
+
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+BUILD_DEPENDS=	p5-AnyEvent-Connection>=0.05:${PORTSDIR}/devel/p5-AnyEvent-Connection \
+		p5-AnyEvent>=5.0:${PORTSDIR}/devel/p5-AnyEvent \
+		p5-String-CRC32>=0:${PORTSDIR}/devel/p5-String-CRC32 \
+		p5-common-sense>=2:${PORTSDIR}/devel/p5-common-sense \
+		p5-Test-NoWarnings>=1.03:${PORTSDIR}/devel/p5-Test-NoWarnings \
+		p5-Test-TCP>=0.14:${PORTSDIR}/devel/p5-Test-TCP \
+		p5-lib-abs>=0.90:${PORTSDIR}/devel/p5-lib-abs
+RUN_DEPENDS=	p5-AnyEvent-Connection>=0.05:${PORTSDIR}/devel/p5-AnyEvent-Connection \
+		p5-AnyEvent>=5.0:${PORTSDIR}/devel/p5-AnyEvent \
+		p5-String-CRC32>=0:${PORTSDIR}/devel/p5-String-CRC32 \
+		p5-common-sense>=2:${PORTSDIR}/devel/p5-common-sense \
+		p5-Test-NoWarnings>=1.03:${PORTSDIR}/devel/p5-Test-NoWarnings \
+		p5-Test-TCP>=0.14:${PORTSDIR}/devel/p5-Test-TCP \
+		p5-lib-abs>=0.90:${PORTSDIR}/devel/p5-lib-abs
+
+USES=	perl5
+USE_PERL5=	configure
+
+.include <bsd.port.mk>

Added: head/databases/p5-AnyEvent-Memcached/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-AnyEvent-Memcached/distinfo	Fri Nov 15 17:00:46 2013	(r333891)
@@ -0,0 +1,2 @@
+SHA256 (AnyEvent-Memcached-0.05.tar.gz) = 78e5a1e3bf935e1720795eb3254ec7768c52f3d6e8a6b4a74d1c3260405b47a7
+SIZE (AnyEvent-Memcached-0.05.tar.gz) = 40120

Added: head/databases/p5-AnyEvent-Memcached/files/patch-lib__AnyEvent__Memcached.pm
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-AnyEvent-Memcached/files/patch-lib__AnyEvent__Memcached.pm	Fri Nov 15 17:00:46 2013	(r333891)
@@ -0,0 +1,11 @@
+--- ./lib/AnyEvent/Memcached.pm.orig	2010-07-11 12:00:08.000000000 +0200
++++ ./lib/AnyEvent/Memcached.pm	2013-11-15 17:57:36.000000000 +0100
+@@ -822,7 +822,7 @@
+ 				}
+ 				else {
+ 					#warn "add failed, try again";
+-					$self->incr_add($key,$val,%args);
++					$self->incadd($key,$val,%args);
+ 				}
+ 			});
+ 		}

Added: head/databases/p5-AnyEvent-Memcached/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-AnyEvent-Memcached/pkg-descr	Fri Nov 15 17:00:46 2013	(r333891)
@@ -0,0 +1,3 @@
+Asyncronous memcached/memcachedb client for AnyEvent framework
+
+WWW: http://search.cpan.org/dist/AnyEvent-Memcached/

Added: head/databases/p5-AnyEvent-Memcached/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-AnyEvent-Memcached/pkg-plist	Fri Nov 15 17:00:46 2013	(r333891)
@@ -0,0 +1,14 @@
+%%PERL5_MAN3%%/AnyEvent::Memcached.3.gz
+%%PERL5_MAN3%%/AnyEvent::Memcached::Hash::WithNext.3.gz
+%%SITE_PERL%%/AnyEvent/Memcached.pm
+%%SITE_PERL%%/AnyEvent/Memcached/Hash.pm
+%%SITE_PERL%%/AnyEvent/Memcached/Conn.pm
+%%SITE_PERL%%/AnyEvent/Memcached/Peer.pm
+%%SITE_PERL%%/AnyEvent/Memcached/Buckets.pm
+%%SITE_PERL%%/AnyEvent/Memcached/Hash/WithNext.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/AnyEvent/Memcached/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/AnyEvent/Memcached
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/AnyEvent
+@dirrmtry %%SITE_PERL%%/AnyEvent/Memcached/Hash
+@dirrmtry %%SITE_PERL%%/AnyEvent/Memcached
+@dirrmtry %%SITE_PERL%%/AnyEvent
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"